__gnu_profile::__hashfunc_info Class Reference

`#include <profiler_hash_func.h>`

Inheritance diagram for __gnu_profile::__hashfunc_info:
[legend]

## Public Member Functions

| __hashfunc_info (__stack_t __stack)
std::string | __advice () const
void | __destruct (std::size_t __chain, std::size_t __accesses, std::size_t __hops)
bool | __is_valid () const
float | __magnitude () const
void | __merge (const __hashfunc_info &__o)
void | __merge (const __object_info_base &__o)
void | __set_invalid ()
__stack_t | __stack () const
void | __write (FILE *__f) const

## Protected Attributes

__stack_t | _M_stack
bool | _M_valid

## Detailed Description

A hash performance instrumentation line in the object table.

Definition at line 40 of file profiler_hash_func.h.

## Constructor & Destructor Documentation

## __hashfunc_info()

__gnu_profile::__hashfunc_info::__hashfunc_info | ( | __stack_t | __stack | ) |

inline

Definition at line 44 of file profiler_hash_func.h.

## Member Function Documentation

## __advice()

std::string __gnu_profile::__hashfunc_info::__advice | ( |  | ) | const

inline

Definition at line 76 of file profiler_hash_func.h.

## __destruct()

void __gnu_profile::__hashfunc_info::__destruct | ( | std::size_t | __chain,
|  | std::size_t | __accesses,
|  | std::size_t | __hops
| ) |  |

inline

Definition at line 58 of file profiler_hash_func.h.

## __is_valid()

bool __gnu_profile::__object_info_base::__is_valid | ( |  | ) | const

inline inherited

Definition at line 134 of file profiler_node.h.

## __magnitude()

float __gnu_profile::__hashfunc_info::__magnitude | ( |  | ) | const

inline

Definition at line 72 of file profiler_hash_func.h.

## __merge() [1/2]

void __gnu_profile::__hashfunc_info::__merge | ( | const __hashfunc_info & | __o | ) |

inline

Definition at line 49 of file profiler_hash_func.h.

## __merge() [2/2]

void __gnu_profile::__object_info_base::__merge | ( | const __object_info_base & | __o | ) |

inline inherited

Definition at line 142 of file profiler_node.h.

## __set_invalid()

void __gnu_profile::__object_info_base::__set_invalid | ( |  | ) |

inline inherited

Definition at line 138 of file profiler_node.h.

## __stack()

__stack_t __gnu_profile::__object_info_base::__stack | ( |  | ) | const

inline inherited

Definition at line 146 of file profiler_node.h.

## __write()

void __gnu_profile::__hashfunc_info::__write | ( | FILE * | __f | ) | const

inline

Definition at line 67 of file profiler_hash_func.h.

## Member Data Documentation

## _M_stack

__stack_t __gnu_profile::__object_info_base::_M_stack

protected inherited

Definition at line 150 of file profiler_node.h.

## _M_valid

bool __gnu_profile::__object_info_base::_M_valid

protected inherited

Definition at line 151 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_hash_func.h